Difference between revisions of "Arch Window/it"

From FreeCAD Documentation
Jump to navigation Jump to search
(Updating to match new version of source page)
 
(39 intermediate revisions by 2 users not shown)
Line 1: Line 1:
 
<languages/>
 
<languages/>
{{GuiCommand/it|Name=Arch Window|Name/it=Finestra|Workbenches=[[Arch Module/it|Architettura]]|MenuLocation=Arch → Finestra|Shortcut=W I|SeeAlso=[[Arch Wall/it|Muro]]}}
+
{{docnav/it|[[Arch_Reference/it|Riferimento esterno]]|[[Arch_SectionPlane/it|Piano di sezione]]|[[Arch_Module/it|Arch]]|IconL=Arch_Reference.svg |IconC=Workbench_Arch.svg |IconR=Arch_SectionPlane.svg}}
 +
 
 +
{{GuiCommand/it|Name=Arch Window|Name/it=Finestra|Workbenches=[[Arch Module/it|Architettura]]|MenuLocation=Arch → Finestra|Shortcut={{KEY|W}} {{KEY|I}}|SeeAlso=[[Arch Wall/it|Muro]], [[Arch Add/it|Aggiungi componente]]}}
  
 
==Descrizione==
 
==Descrizione==
  
L'oggetto Finestra è l'oggetto di base per tutti i tipi di oggetti "incorporabili", quali le finestre, le porte, ecc.. È progettato per essere un elemento indipendente, oppure "ospitato" all'interno di un altro componente come ad esempio in un [[Arch Wall/it|Muro]], in una [[Arch Structure/it|Struttura]], o in un [[Arch Roof/it|Tetto]].  
+
La [[Arch Window/it|Finestra]] è l'oggetto di base per tutti i tipi di oggetti "incorporabili", quali le finestre, le porte, ecc.. È progettato per essere un elemento indipendente, oppure "ospitato" all'interno di un altro componente come ad esempio in un [[Arch Wall/it|Muro]], in una [[Arch Structure/it|Struttura]], o in un [[Arch Roof/it|Tetto]].  
 
Esso ha una propria geometria, che può essere formata da diversi componenti solidi (ad es. il telaio o i pannelli interni), e definisce anche un volume da sottrarre all'oggetto ospite, in modo da creare un'apertura. Il volume da sottrarre viene calcolato automaticamente.
 
Esso ha una propria geometria, che può essere formata da diversi componenti solidi (ad es. il telaio o i pannelli interni), e definisce anche un volume da sottrarre all'oggetto ospite, in modo da creare un'apertura. Il volume da sottrarre viene calcolato automaticamente.
  
Le finestre sono basate su oggetti 2D chiusi, quali ad esempio, dei rettangoli di [[Draft Rectangle/it| Draft]] o di [[Sketcher_Workbench/it|Schizzo]], ambienti che sono utilizzati anche per definire i componenti interni. L'oggetto 2D di base deve contenere diversi contorni chiusi, che possono essere combinati per formare dei pannelli pieni (richiedono un contorno) o delle cornici (richiedono più contorni).  
+
Le finestre sono basate su oggetti 2D chiusi, quali ad esempio, dei rettangoli di [[Draft Rectangle/it|Draft]] o di [[Sketcher_Workbench/it|Schizzo]], ambienti che sono utilizzati anche per definire i componenti interni. L'oggetto 2D di base deve contenere diversi contorni chiusi, che possono essere combinati per formare dei pannelli pieni (richiedono un contorno) o delle cornici (richiedono più contorni).  
  
 
Lo strumento Finestra dispone anche di diversi '''preset''', che permettono di realizzare porte o finestre da un elenco di parametri, senza la necessità di creare manualmente gli oggetti 2D di base e componenti. Le finestre possono anche essere creati da zero, disegnando prima un oggetto di base 2D.
 
Lo strumento Finestra dispone anche di diversi '''preset''', che permettono di realizzare porte o finestre da un elenco di parametri, senza la necessità di creare manualmente gli oggetti 2D di base e componenti. Le finestre possono anche essere creati da zero, disegnando prima un oggetto di base 2D.
 +
 +
Tutte le informazioni applicabili alle [[Arch Window/it|finestre]] si applicano anche alle [[Arch Door/it|porte]], poiché sono costruite sullo stesso oggetto sottostante. La principale differenza tra una finestra e una porta è che la porta ha un pannello interno che viene mostrato opaco (la porta stessa), mentre la finestra ha un pannello parzialmente trasparente (il vetro).
  
 
[[Image:Arch Window example.jpg|600px]]
 
[[Image:Arch Window example.jpg|600px]]
 +
{{Caption|Finestra costruita su un [[Draft Rectangle/it|Rettangolo Draft]], quindi inserita in un  [[Arch Wall/it|Muro di Arch]]. Usando l'operazione [[Arch Add/it|Aggiungi]] si ritaglia automaticamente un'apertura corretta nel muro ospitante.}}
  
''Nell'immagine precedente, la finestra viene prima costruita sulla base di un rettangolo di [[Draft Rectangle/it|Draft]], quindi viene inserita in un [[Arch Wall/it|muro]]. L'operazione {{KEY/it|[[Image:Arch_Add.png|16px]] [[Arch_Add/it|Aggiungi]]}} una finestra a un {{KEY/it|[[Image:Arch_Wall.png|16px]] [[Arch_Wall/it|muro]]}} intaglia automaticamente una apertura corretta nel muro che la ospita.''
+
[[Image:Arch Window example2.jpg|600px]]
 +
{{Caption|Finestra complessa costruita sopra uno [[Sketcher Workbench/it|Schizzo]]. Quando si accede alla modalità di modifica della finestra, è possibile creare diversi componenti, impostare il loro spessore e selezionare e assegnare ad essa i contorni di uno schizzo.}}
  
[[Image:Arch Window example2.jpg|600px]]
+
==Utilizzo==
  
''L'immagine sopra mostra le fasi di costruzione di una finestra più complessa e basata su uno schizzo. Quando si entra nella modalità di modifica della finestra, è possibile creare i diversi componenti, impostare il loro spessore, quindi selezionarli e assegnare loro dei contorni con gli strumenti di Schizzo.''
+
=== Utilizzare i modelli preimpostati ===
  
All information applicable to an [[Arch Window]] also applies to an [[Arch Door]], as it's the same underlying object. The main difference between a Window and a Door is that the Door has an internal panel that is shown opaque (the door itself), while the Window has a panel that is partially transparent (the glass).
+
# Premere il pulsante {{Button|[[Image:Arch Window.svg|16px]] [[Arch Window/it|Finestra]]}} , oppure i tasti {{KEY|W}} e poi {{KEY|I}}.
 +
# Selezionare uno dei preset nella lista.
 +
# Compilare i parametri desiderati.
 +
# Nella [[3D view/it|vista 3D]], spostare la finestra nella posizione in cui si desidera posizionarla. Se si sposta il puntatore su un [[Arch Wall/it|muro]], il contorno della finestra dovrebbe allinearsi con la faccia di quell'oggetto.
  
== Utilizzo ==
+
{{Emphasis|Note:}} se si installa la "Parts Library" da [[AddonManager/it|AddonManager]], lo strumento finestra cercherà in questa libreria ulteriori preimpostazioni. Questi preset sono dei file di FreeCAD contenenti una singola finestra basata su uno schizzo parametrico che ha i vincoli definiti. Si possono aggiungere ulteriori preset nella directory {{incode|parts_library}} in modo che vengano trovati dallo strumento finestra.
  
=== Utilizzare i modelli preimpostati ===
+
{{Code|code=
 +
$ROOT_DIR/Mod/parts_library/Architectural\ Parts/Doors/Custom/
 +
$ROOT_DIR/Mod/parts_library/Architectural\ Parts/Windows/Custom/
 +
}}
  
# Facoltativamente, selezionare un oggetto Arch. Se non è selezionato alcun oggetto, la finestra viene inserita nell'oggetto che è sotto al mouse quando si posiziona la finestra.
+
La {{incode|$ROOT_DIR}} è la directory dell'utente in cui sono archiviati la configurazione, le macro e gli ambienti di lavoro esterni di FreeCAD.
# Premere il pulsante {{KEY/it|[[Image:Arch Window.png|16px]] Finestra}} , oppure i tasti {{KEY/it|W}} e poi {{KEY/it|I}}
+
* Su Linux di solito è {{incode|/home/username/.FreeCAD/}}
# Selezionare uno dei preset nella lista
+
* Su Windows di solito è {{incode|C:\Users\username\Application Data\FreeCAD\}}
# Compilare i parametri desiderati
+
* Su Mac OSX di solito è {{incode|/Users/username/Library/Preferences/FreeCAD/}}
# Premere il pulsante '''OK'''
 
  
 
=== Creare dall'inizio ===
 
=== Creare dall'inizio ===
  
# Opzionalmente, selezionare una faccia sull'oggetto Arch in cui si desidera inserire la finestra
+
# Opzionalmente, selezionare una faccia sull'oggetto Arch in cui si desidera inserire la finestra.
# Passare nell'ambiente [[Sketcher Module/it|Sketcher]]
+
# Passare nell'ambiente [[Sketcher Module/it|Sketcher]].
# Creare un nuovo schizzo
+
# Creare un nuovo schizzo.
# Disegnare uno o più contorni chiusi
+
# Disegnare uno o più contorni chiusi (loop).
# Chiudere lo schizzo
+
# Chiudere lo schizzo.
# Tornare nell'ambiente [[Arch Module/it|Arch]]
+
# Tornare nell'ambiente [[Arch Module/it|Arch]].
# Premere il pulsante {{KEY|[[Image:Arch Window.png|16px]] [[Arch Window/it|Finestra]]}} , o premere i tasti {{KEY|W}} e poi {{KEY|I}}
+
# Premere il pulsante {{Button|[[Image:Arch Window.svg|16px]] [[Arch Window/it|Finestra]]}} , o premere i tasti {{KEY|W}} e poi {{KEY|I}}.
# Entrare in modalità Modifica facendo doppio clic sulla finestra nella vista ad albero, per regolare i componenti della finestra
+
# Per regolare i componenti della finestra e le varie proprietà, entrare nella finestra del [[task panel/it|pannello Azioni]] facendo doppio clic sull'oggetto creato nella [[tree view/it|vista ad albero]].
 +
 
 +
{{Emphasis|Nota:}} quando si crea lo schizzo, prestare molta attenzione all'ordine di creazione dei contorni; la numerazione dei "segmenti" nel [[task panel/it| pannello delle azioni]] ("Elementi della finestra") dipende da questo.
  
 
==Presets==
 
==Presets==
Line 79: Line 92:
 
* Gli elementi Finestra condividono le proprietà e i comportamenti comuni di tutti i [[Arch Component/it|Componenti Arch]]
 
* Gli elementi Finestra condividono le proprietà e i comportamenti comuni di tutti i [[Arch Component/it|Componenti Arch]]
 
* Se la casella '''Auto-include''' nel riquadro delle azioni di creazione della finestra non è selezionata, la finestra non verrà inserita in nessun oggetto ospite durante la creazione.  
 
* Se la casella '''Auto-include''' nel riquadro delle azioni di creazione della finestra non è selezionata, la finestra non verrà inserita in nessun oggetto ospite durante la creazione.  
* Per inserire la finestra selezionata in un [[Arch_Wall/it|muro]], selezionare entrambi, poi premere il pulsante {{KEY/it|[[Image:Arch_Add.png|16px]] [[Arch_Add/it|Aggiungi]]}}.
+
* Per inserire la finestra selezionata in un [[Arch_Wall/it|muro]], selezionare entrambi, poi premere il pulsante {{Button|[[Image:Arch Add.svg|16px]] [[Arch Add/it|Aggiungi]]}}.
* Per rimuovere la finestra selezionata da un muro selezionare la finestra, poi premere il pulsante {{KEY/it|[[Image:Arch_Remove.png|16px]] [[ Arch_Remove/it|Sottrai]]}}.
+
* Per rimuovere la finestra selezionata da un muro selezionare la finestra, poi premere il pulsante {{Button|[[Image:Arch Remove.svg|16px]] [[Arch Remove/it|Rimuovi]]}}.
 
* Quando si utilizzano i preset, di solito conviene attivare lo [[Draft Snap/it|Snap]] "Vicino", in questo modo è possibile agganciare la finestra a una faccia esistente.
 
* Quando si utilizzano i preset, di solito conviene attivare lo [[Draft Snap/it|Snap]] "Vicino", in questo modo è possibile agganciare la finestra a una faccia esistente.
* L'apertura creata da una finestra nel suo oggetto ospite è determinata da due proprietà: '''Hole Depth''' and '''Hole Wire''' ({{Version|0.17}}). Il numero del  Hole Wire può essere selezionato nella vista 3D dal pannello delle finestre disponibili quando si fa doppio clic sulla finestra nella vista ad albero
+
* L'apertura creata da una finestra nel suo oggetto ospite è determinata da due proprietà: {{PropertyData|Hole Depth}} e {{PropertyData|Hole Wire}} ({{Version/it|0.17}}). Il numero del  Hole Wire può essere selezionato nella vista 3D dal pannello delle finestre disponibili quando si fa doppio clic sulla finestra nella vista ad albero
 
* La Finestra può utilizzare i [[Arch MultiMaterial/it| Multi-Materiali]]. La finestra cerca nei multi-materiali allegati gli strati di materiale con lo stesso nome per ciascuna delle sue componenti e se è presente lo utilizza. Ad esempio, un componente denominato "OuterFrame" cerca nel Multi-Materiale collegato
 
* La Finestra può utilizzare i [[Arch MultiMaterial/it| Multi-Materiali]]. La finestra cerca nei multi-materiali allegati gli strati di materiale con lo stesso nome per ciascuna delle sue componenti e se è presente lo utilizza. Ad esempio, un componente denominato "OuterFrame" cerca nel Multi-Materiale collegato
 
uno strato di materiale denominato "OuterFrame". Se trova questo materiale lo attribuisce al componente OuterFrame. Il valore dello spessore dello strato di materiale viene ignorato.
 
uno strato di materiale denominato "OuterFrame". Se trova questo materiale lo attribuisce al componente OuterFrame. Il valore dello spessore dello strato di materiale viene ignorato.
  
== Porte ==
+
==Aperture==
 +
 
 +
{{Emphasis|Vedere anche:}} il [[Tutorial for open windows/it|Tutorial per finestre aperte]].
  
Le porte possono essere costruite con lo strumento Finestra, è sufficiente che nel disegno la base del contorno interno (porta) coincida con la base del contorno esterno (telaio), come nella seguente immagine:
+
Le porte e le finestre possono apparire parzialmente o completamente aperte nel modello 3D oppure si possono visualizzare i simboli di apertura sia in pianta che in altezza. Di conseguenza, queste appariranno anche nelle viste in 2D estratte e generate da [[Draft Shape2DView/it|Draft Viste 2D]] o [[TechDraw Module/it|TechDraw]] o [[Drawing Workbench/it|Drawing]]. Per ottenere ciò, almeno uno dei componenti della finestra deve avere una cerniera e una modalità di apertura definita (vedere la sezione precedente "Componenti dell'edificio"). Quindi, usando le proprietà {{PropertyData|Opening}}, {{PropertyData|Symbol Plan}} o {{PropertyData|Symbol Elevation}}, si può configurare l'aspetto della finestra:
  
[[Image:Arch door.jpg|600px|Door]]
+
[[Image:Arch window openings.png|600px]]
 +
{{Caption|Una porta che mostra da sinistra a destra  come lavorano le proprietà Symbol Plan, Symbol Elevation e Opening}}
  
==Aperture==
+
==Defining window types==
 +
 
 +
Windows can also take advantage of other tools, specifically [[PartDesign Workbench|PartDesign]] workflows, to define a type. A type is an object that defines the shape of the window. This is specially well suited to work with [[App Part|App Parts]]:
 +
 
 +
[[Image:Arch window type example.png|800px]]
 +
 
 +
[https://github.com/FreeCAD/Examples/blob/master/Arch_Example_Files/Window_Type.FCStd Download the example file shown above]
 +
 
 +
===Example workflow===
 +
 
 +
* Create a window frame object, a glass panel, and any other window component you need, using [[Part|Part Workbench]] or [[PartDesign Workbench|PartDesign]] tools.
 +
* For example, create a base rectangular sketch for your window, then a profile sketch for the frame, and create a [[Part Sweep]] to sweep the profile around the base sketch. Create a [[Part Offset2D]] from the base sketch, then a [[Part Extrude]] to create the glass panel
 +
* Make sure all these pieces have a unique, menaingful name (for example, "Frame" or "Glass Panel")
 +
* Create an [[App Part]], and place all your subcomponents in it
 +
* Create a volume to be subtracted from the wall, for example by extruding the base sketch. Add this volume to the App Part. Make sure the volume is turned off
 +
* If using FreeCAD version 0.19 or later, you can add 3 properties to your App Part, by right-clicking its properties view, and check "Show All". Add the following properties (all of them are optional, the group doesn't matter):
 +
** '''Height''' as a PropertyLength and link it, for example, to a vertical constraint of your base sketch
 +
** '''Width''' as a PropertyLength and link it, for example, to a horizontal constraint of your base sketch
 +
** '''Subvolume''' as a PropertyLink and link it to the volume to be subtracted that we created above
 +
** '''Tag''' as a PropertyString
 +
 
 +
===Materials===
  
Le porte e le finestre possono apparire parzialmente o completamente aperte nel modello 3D oppure si possono visualizzare i simboli di apertura sia in pianta che in altezza. Di conseguenza, queste appariranno anche nelle viste in 2D estratte e generate da [[Draft Shape2DView/it|Draft Viste 2D]] o [[TechDraw Module/it|TechDraw]] o [[Drawing Workbench/it|Drawing]]. Per ottenere ciò, almeno uno dei componenti della finestra deve avere una cerniera e una modalità di apertura definita (vedere la sezione precedente "Componenti dell'edificio"). Quindi, usando le proprietà '''Opening''', '''Symbol Plan''' o '''Symbol Elevation''', si può configurare l'aspetto della finestra:
+
Our window type is now ready. We can create window objects from it, simply by selecting the App Part and pressing the window button. The "Height", "Width", "Subvolume" and "Tag" properties of the window will be linked to the corresponding property of the App Part, if existing.
  
[[Image:Arch window openings.png|600px|Una porta che mostra da sinistra a destra  come lavorano le proprietà Symbol Plan, Symbol Elevation e Opening]]
+
To build a material for type-based windows:
 +
* Create a [[Arch MultiMaterial|multi-material]]
 +
* Create one entry in the multi-material for each component of your App Part. For example, one "Frame", one "Glass panel" as we used above.  Make sure to use the exact same name.
 +
* Attribute that multi-material to each of the windows derived from the same type
  
Una porta che mostra da sinistra a destra  come lavorano le proprietà Symbol Plan, Symbol Elevation e Opening
 
  
Vedere anche il [[Tutorial for open windows/it|Tutorial per finestre aperte]]
+
You can use any other kind of workflow than the one described above, the important points to remember are:
 +
* The type object must be one object, no matter the type (App Part, PartDesign Body, Part Compound, or even another Arch Window)
 +
* The type object must have a "Subvolume" property (linked to the window's Subvolume property) for openings in host objects to work
 +
* The type object must have a "Group" property with different children with same names as multi-material items for multi-materials to work
  
 
== Proprietà ==
 
== Proprietà ==
Line 115: Line 157:
 
* {{PropertyData/it|Symbol Elevation}}: Mostra il simbolo 2D di apertura nell'elevazione
 
* {{PropertyData/it|Symbol Elevation}}: Mostra il simbolo 2D di apertura nell'elevazione
  
== Script ==
+
==Script==
 +
{{Emphasis|Vedere anche:}} [[Arch API/it|API Arch]] e [[FreeCAD Scripting Basics/it|Script di base per FreeCAD]].
  
Lo strumento Finestra può essere utilizzato nelle [[macros/it|macro]] e dalla [[FreeCAD_Scripting_Basics/it|console di Python]] tramite la seguente funzione:
+
Lo strumento Finestra può essere utilizzato nelle [[macros/it|macro]] e dalla console [[Python/it|Python]] tramite la seguente funzione:
 
{{Code|code=
 
{{Code|code=
 
Window = makeWindow(baseobj=None, width=None, height=None, parts=None, name="Window")
 
Window = makeWindow(baseobj=None, width=None, height=None, parts=None, name="Window")
 
}}
 
}}
* Tutti gli argomenti sono opzionali
+
* Crea un oggetto {{incode|Window}} basato su un {{incode|baseobj}}, che deve essere un [[Draft Wire/it|Wire]] o uno [[Sketcher Sketch/it|Sketcher Schizzo]] chiuso.
* Crea una <code>Finestra</code> basata su un <code>baseobj</code>, che dovrebbe essere un [[Draft Wire/it|contorno]] o uno [[Sketcher Sketch/it|schizzo]] chiuso
+
* Se disponibile, imposta {{incode|width}}, {{incode|height}}, e {{incode|name}} (label) della finestra.
* Se disponibile, impostare <code>width</code>, <code>height</code>, e <code>name</code> (etichetta) della finestra
+
* Se {{incode|baseobj}} non è una forma chiusa, lo strumento non può creare un oggetto solido corretto.
* Se il <code>baseobj</code> non è una forma chiusa, lo strumento non può creare una figura solida corretta
+
 
 +
Esempio:
 +
{{Code|code=
 +
import FreeCAD, Draft, Arch
 +
 
 +
Rect1 = Draft.makeRectangle(length=900, height=3000)
 +
Window = Arch.makeWindow(Rect1)
 +
FreeCAD.ActiveDocument.recompute()
 +
}}
 +
 
 +
Si può anche creare una finestra da un modello preimpostato.
 +
{{Code|code=
 +
Window = makeWindowPreset(windowtype, width, height, h1, h2, h3, w1, w2, o1, o2, placement=None)
 +
}}
 +
* Crea un oggetto {{incode|Window}} basato su un {{incode|windowtype}}, che deve essere uno dei nomi definiti in {{incode|Arch.WindowPresets}}.
 +
** Alcuni di questi preset sono: {{incode|"Fixed"}}, {{incode|"Open 1-pane"}}, {{incode|"Open 2-pane"}}, {{incode|"Sash 2-pane"}}, {{incode|"Sliding 2-pane"}}, {{incode|"Simple door"}}, {{incode|"Glass door"}}, {{incode|"Sliding 4-pane"}}.
 +
* {{incode|width}} e {{incode|height}} definiscono le dimensioni totali dell'oggetto, con unità in millimetri.
 +
* I parametri {{incode|h1}}, {{incode|h2}}, {{incode|h3}} (vertical offsets), {{incode|w1}}, {{incode|w2}} (widths), {{incode|o1}}, e {{incode|o2}} (horizontal offsets) specificano le diverse distanze in millimetri e dipendono dal tipo di preset che si sta creando.
 +
* Se {{incode|placement}} è dato, è usato.
  
 
Esempio:
 
Esempio:
 
{{Code|code=
 
{{Code|code=
import Draft, Arch
+
import FreeCAD, Arch
  
rect = Draft.makeRectangle(length=2, height=4)
+
base = FreeCAD.Vector(2000, 0, 0)
Window = Arch.makeWindow(rect)
+
Axis = FreeCAD.Vector(1, 0, 0)
 +
place=FreeCAD.Placement(base, FreeCAD.Rotation(Axis, 90))
 +
 
 +
Door = Arch.makeWindowPreset("Simple door",
 +
                            width=900, height=2000,
 +
                            h1=100, h2=100, h3=100, w1=200, w2=100, o1=0, o2=100,
 +
                            placement=place)
 
}}
 
}}
  
[[Category:Arch/it]]
+
{{docnav/it|[[Arch_Reference/it|Riferimento esterno]]|[[Arch_SectionPlane/it|Piano di sezione]]|[[Arch_Module/it|Arch]]|IconL=Arch_Reference.svg |IconC=Workbench_Arch.svg |IconR=Arch_SectionPlane.svg}}
 +
 
 +
{{Arch Tools navi{{#translation:}}}}
 +
 
 +
{{Userdocnavi{{#translation:}}}}

Latest revision as of 12:55, 12 June 2020

Other languages:
Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎português do Brasil • ‎română • ‎svenska • ‎čeština • ‎русский • ‎українська
Arrow-left.svg Arch Reference.svg Riferimento esterno Pagina precedente:
Pagina successiva: Piano di sezione Arch SectionPlane.svg Arrow-right.svg

Arch Window.svg Finestra

Nome nel codice
Arch Window
Posizione nel menu
Arch → Finestra
Ambiente
Architettura
Avvio veloce
W I
Introdotto nella versione
-
Vedere anche
Muro, Aggiungi componente


Descrizione

La Finestra è l'oggetto di base per tutti i tipi di oggetti "incorporabili", quali le finestre, le porte, ecc.. È progettato per essere un elemento indipendente, oppure "ospitato" all'interno di un altro componente come ad esempio in un Muro, in una Struttura, o in un Tetto. Esso ha una propria geometria, che può essere formata da diversi componenti solidi (ad es. il telaio o i pannelli interni), e definisce anche un volume da sottrarre all'oggetto ospite, in modo da creare un'apertura. Il volume da sottrarre viene calcolato automaticamente.

Le finestre sono basate su oggetti 2D chiusi, quali ad esempio, dei rettangoli di Draft o di Schizzo, ambienti che sono utilizzati anche per definire i componenti interni. L'oggetto 2D di base deve contenere diversi contorni chiusi, che possono essere combinati per formare dei pannelli pieni (richiedono un contorno) o delle cornici (richiedono più contorni).

Lo strumento Finestra dispone anche di diversi preset, che permettono di realizzare porte o finestre da un elenco di parametri, senza la necessità di creare manualmente gli oggetti 2D di base e componenti. Le finestre possono anche essere creati da zero, disegnando prima un oggetto di base 2D.

Tutte le informazioni applicabili alle finestre si applicano anche alle porte, poiché sono costruite sullo stesso oggetto sottostante. La principale differenza tra una finestra e una porta è che la porta ha un pannello interno che viene mostrato opaco (la porta stessa), mentre la finestra ha un pannello parzialmente trasparente (il vetro).

Arch Window example.jpg

Finestra costruita su un Rettangolo Draft, quindi inserita in un Muro di Arch. Usando l'operazione Aggiungi si ritaglia automaticamente un'apertura corretta nel muro ospitante.


Arch Window example2.jpg

Finestra complessa costruita sopra uno Schizzo. Quando si accede alla modalità di modifica della finestra, è possibile creare diversi componenti, impostare il loro spessore e selezionare e assegnare ad essa i contorni di uno schizzo.


Utilizzo

Utilizzare i modelli preimpostati

  1. Premere il pulsante Arch Window.svg Finestra , oppure i tasti W e poi I.
  2. Selezionare uno dei preset nella lista.
  3. Compilare i parametri desiderati.
  4. Nella vista 3D, spostare la finestra nella posizione in cui si desidera posizionarla. Se si sposta il puntatore su un muro, il contorno della finestra dovrebbe allinearsi con la faccia di quell'oggetto.

Note: se si installa la "Parts Library" da AddonManager, lo strumento finestra cercherà in questa libreria ulteriori preimpostazioni. Questi preset sono dei file di FreeCAD contenenti una singola finestra basata su uno schizzo parametrico che ha i vincoli definiti. Si possono aggiungere ulteriori preset nella directory parts_library in modo che vengano trovati dallo strumento finestra.

$ROOT_DIR/Mod/parts_library/Architectural\ Parts/Doors/Custom/
$ROOT_DIR/Mod/parts_library/Architectural\ Parts/Windows/Custom/

La $ROOT_DIR è la directory dell'utente in cui sono archiviati la configurazione, le macro e gli ambienti di lavoro esterni di FreeCAD.

  • Su Linux di solito è /home/username/.FreeCAD/
  • Su Windows di solito è C:\Users\username\Application Data\FreeCAD\
  • Su Mac OSX di solito è /Users/username/Library/Preferences/FreeCAD/

Creare dall'inizio

  1. Opzionalmente, selezionare una faccia sull'oggetto Arch in cui si desidera inserire la finestra.
  2. Passare nell'ambiente Sketcher.
  3. Creare un nuovo schizzo.
  4. Disegnare uno o più contorni chiusi (loop).
  5. Chiudere lo schizzo.
  6. Tornare nell'ambiente Arch.
  7. Premere il pulsante Arch Window.svg Finestra , o premere i tasti W e poi I.
  8. Per regolare i componenti della finestra e le varie proprietà, entrare nella finestra del pannello Azioni facendo doppio clic sull'oggetto creato nella vista ad albero.

Nota: quando si crea lo schizzo, prestare molta attenzione all'ordine di creazione dei contorni; la numerazione dei "segmenti" nel pannello delle azioni ("Elementi della finestra") dipende da questo.

Presets

Sono disponibili i seguenti modelli preimpostati:

Creare i componenti

La finestra può includere 3 tipi di componenti: i pannelli, le cornici e le persiane.

I pannelli e le persiane sono costituiti da un contorno chiuso che viene estruso. Le cornici sono formate da 2 o più contorni chiusi, entrambi estrusi, e quello più piccolo viene Arch Remove.png sottratto al più grande.

È possibile accedere, creare, modificare ed eliminare i componenti di una finestra in modalità di modifica (doppio clic sull'oggetto finestra nella struttura ad albero).

I componenti hanno le seguenti proprietà:

  • Name : Un nome per il componente
  • Type: Il tipo di componente. Può essere "Frame", "Glass panel" "Solid panel", o "Louvres"
  • Wires : Un elenco, separato da virgole, dei contorni su cui si basa il componente
  • Thickness : Lo spessore di estrusione del componente
  • Z Offset : La distanza tra il componente e la sua linea di base 2D
  • Hinge: Ciò consente di selezionare un bordo nell'oggetto 2D di base, quindi impostare tale bordo come cerniera per questo componente e quelli successivi nell'elenco
  • Opening mode: Se in questo componente o in qualsiasi altro precedente nell'elenco è stata definita una cerniera, l'impostazione della modalità di apertura consente alla finestra di apparire aperta o di visualizzare i simboli di apertura 2D in pianta o in elevazione.

Arch Window options.jpg

Opzioni

  • Gli elementi Finestra condividono le proprietà e i comportamenti comuni di tutti i Componenti Arch
  • Se la casella Auto-include nel riquadro delle azioni di creazione della finestra non è selezionata, la finestra non verrà inserita in nessun oggetto ospite durante la creazione.
  • Per inserire la finestra selezionata in un muro, selezionare entrambi, poi premere il pulsante Arch Add.svg Aggiungi.
  • Per rimuovere la finestra selezionata da un muro selezionare la finestra, poi premere il pulsante Arch Remove.svg Rimuovi.
  • Quando si utilizzano i preset, di solito conviene attivare lo Snap "Vicino", in questo modo è possibile agganciare la finestra a una faccia esistente.
  • L'apertura creata da una finestra nel suo oggetto ospite è determinata da due proprietà: DataHole Depth e DataHole Wire (Disponibile dalla versione 0.17). Il numero del Hole Wire può essere selezionato nella vista 3D dal pannello delle finestre disponibili quando si fa doppio clic sulla finestra nella vista ad albero
  • La Finestra può utilizzare i Multi-Materiali. La finestra cerca nei multi-materiali allegati gli strati di materiale con lo stesso nome per ciascuna delle sue componenti e se è presente lo utilizza. Ad esempio, un componente denominato "OuterFrame" cerca nel Multi-Materiale collegato

uno strato di materiale denominato "OuterFrame". Se trova questo materiale lo attribuisce al componente OuterFrame. Il valore dello spessore dello strato di materiale viene ignorato.

Aperture

Vedere anche: il Tutorial per finestre aperte.

Le porte e le finestre possono apparire parzialmente o completamente aperte nel modello 3D oppure si possono visualizzare i simboli di apertura sia in pianta che in altezza. Di conseguenza, queste appariranno anche nelle viste in 2D estratte e generate da Draft Viste 2D o TechDraw o Drawing. Per ottenere ciò, almeno uno dei componenti della finestra deve avere una cerniera e una modalità di apertura definita (vedere la sezione precedente "Componenti dell'edificio"). Quindi, usando le proprietà DataOpening, DataSymbol Plan o DataSymbol Elevation, si può configurare l'aspetto della finestra:

Arch window openings.png

Una porta che mostra da sinistra a destra come lavorano le proprietà Symbol Plan, Symbol Elevation e Opening


Defining window types

Windows can also take advantage of other tools, specifically PartDesign workflows, to define a type. A type is an object that defines the shape of the window. This is specially well suited to work with App Parts:

Arch window type example.png

Download the example file shown above

Example workflow

  • Create a window frame object, a glass panel, and any other window component you need, using Part Workbench or PartDesign tools.
  • For example, create a base rectangular sketch for your window, then a profile sketch for the frame, and create a Part Sweep to sweep the profile around the base sketch. Create a Part Offset2D from the base sketch, then a Part Extrude to create the glass panel
  • Make sure all these pieces have a unique, menaingful name (for example, "Frame" or "Glass Panel")
  • Create an App Part, and place all your subcomponents in it
  • Create a volume to be subtracted from the wall, for example by extruding the base sketch. Add this volume to the App Part. Make sure the volume is turned off
  • If using FreeCAD version 0.19 or later, you can add 3 properties to your App Part, by right-clicking its properties view, and check "Show All". Add the following properties (all of them are optional, the group doesn't matter):
    • Height as a PropertyLength and link it, for example, to a vertical constraint of your base sketch
    • Width as a PropertyLength and link it, for example, to a horizontal constraint of your base sketch
    • Subvolume as a PropertyLink and link it to the volume to be subtracted that we created above
    • Tag as a PropertyString

Materials

Our window type is now ready. We can create window objects from it, simply by selecting the App Part and pressing the window button. The "Height", "Width", "Subvolume" and "Tag" properties of the window will be linked to the corresponding property of the App Part, if existing.

To build a material for type-based windows:

  • Create a multi-material
  • Create one entry in the multi-material for each component of your App Part. For example, one "Frame", one "Glass panel" as we used above. Make sure to use the exact same name.
  • Attribute that multi-material to each of the windows derived from the same type


You can use any other kind of workflow than the one described above, the important points to remember are:

  • The type object must be one object, no matter the type (App Part, PartDesign Body, Part Compound, or even another Arch Window)
  • The type object must have a "Subvolume" property (linked to the window's Subvolume property) for openings in host objects to work
  • The type object must have a "Group" property with different children with same names as multi-material items for multi-materials to work

Proprietà

  • DatiHeight: L'altezza di questa finestra
  • DatiWidth: La larghezza di questa finestra
  • DatiHole Depth: La profondità dell'apertura creata dalla finestra nel suo oggetto ospite
  • DatiHole Wire: Il numero del contorno (wire) dell'oggetto base utilizzato per creare un'apertura nell'oggetto che ospita questa finestra. Questo valore può essere impostato graficamente facendo doppio clic sulla finestra nella vista ad albero. Impostando il valore 0, la finestra per creare il foro seleziona automaticamente il suo contorno più grande.
  • DatiWindow Parts : Una lista di stringhe (5 stringhe per ogni componente, che stabiliscono le opzioni dei componenti di cui sopra).
  • DatiLouvre Width: Se uno dei componenti è impostato su "Louvres", questa proprietà definisce la dimensione delle lamelle della persiana
  • DatiLouvre Spacing: Se uno dei componenti è impostato su "Louvres", questa proprietà definisce la spaziatura tra le lamelle
  • DatiOpening: Tutti i componenti che hanno la loro modalità di apertura impostata e che hanno una cerniera definita in essi o in un componente precedente nell'elenco, appaiono aperti di una percentuale definita da questo valore
  • DatiSymbol Plan: Mostra il simbolo 2D di apertura nel piano
  • DatiSymbol Elevation: Mostra il simbolo 2D di apertura nell'elevazione

Script

Vedere anche: API Arch e Script di base per FreeCAD.

Lo strumento Finestra può essere utilizzato nelle macro e dalla console Python tramite la seguente funzione:

Window = makeWindow(baseobj=None, width=None, height=None, parts=None, name="Window")
  • Crea un oggetto Window basato su un baseobj, che deve essere un Wire o uno Sketcher Schizzo chiuso.
  • Se disponibile, imposta width, height, e name (label) della finestra.
  • Se baseobj non è una forma chiusa, lo strumento non può creare un oggetto solido corretto.

Esempio:

import FreeCAD, Draft, Arch

Rect1 = Draft.makeRectangle(length=900, height=3000)
Window = Arch.makeWindow(Rect1)
FreeCAD.ActiveDocument.recompute()

Si può anche creare una finestra da un modello preimpostato.

Window = makeWindowPreset(windowtype, width, height, h1, h2, h3, w1, w2, o1, o2, placement=None)
  • Crea un oggetto Window basato su un windowtype, che deve essere uno dei nomi definiti in Arch.WindowPresets.
    • Alcuni di questi preset sono: "Fixed", "Open 1-pane", "Open 2-pane", "Sash 2-pane", "Sliding 2-pane", "Simple door", "Glass door", "Sliding 4-pane".
  • width e height definiscono le dimensioni totali dell'oggetto, con unità in millimetri.
  • I parametri h1, h2, h3 (vertical offsets), w1, w2 (widths), o1, e o2 (horizontal offsets) specificano le diverse distanze in millimetri e dipendono dal tipo di preset che si sta creando.
  • Se placement è dato, è usato.

Esempio:

import FreeCAD, Arch

base = FreeCAD.Vector(2000, 0, 0)
Axis = FreeCAD.Vector(1, 0, 0)
place=FreeCAD.Placement(base, FreeCAD.Rotation(Axis, 90))

Door = Arch.makeWindowPreset("Simple door",
                             width=900, height=2000,
                             h1=100, h2=100, h3=100, w1=200, w2=100, o1=0, o2=100,
                             placement=place)
Arrow-left.svg Arch Reference.svg Riferimento esterno Pagina precedente:
Pagina successiva: Piano di sezione Arch SectionPlane.svg Arrow-right.svg